# norootforbuild

Name:			perl-SVN-Notify
Version:		2.79
Release:		1.1
Summary:		Subversion Activity Notification
License:		Perl License
Group:			Development/Libraries/Perl
URL:    		http://search.cpan.org/~dwheeler/SVN-Notify/
Source:         http://search.cpan.org/CPAN/authors/id/D/DW/DWHEELER/SVN-Notify-%{version}.tar.gz
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
Requires:		perl = %{perl_version}
BuildRequires:	perl
BuildRequires:	perl-Module-Build


%description
svnnotify is an application for Subversion activity notification. There ar
a number of different modes supported. By default, A list of all the files
affected by the commit will be assembled and listed in a single message.
An additional option allows diffs to be calculated for the changes and either
appended to the message or added as an attachment.
 
To use svnnotify, simply add a call to svnnotify to your Subversion
repository's post-commit script.




Author:
-------
    David E. Wheeler <david@kineticode.com>

%prep
%setup -q -n "SVN-Notify-%{version}"
%__sed -i '/^auto_install/d' Makefile.PL

%build
%__perl Build.PL destdir="%{buildroot}"
%__perl ./Build --installdirs=vendor

%install
%__sed -i "s|\('installdirs' => '\)site\(',\)|\1vendor\2|" _build/build_params
%__perl ./Build --installdirs=vendor install
%perl_process_packlist

%check
%__perl ./Build test

%clean
%__rm -rf "%{buildroot}"

%files
%defattr(-, root, root)
%doc Changes README
%{_bindir}/svnnotify
%dir %{perl_vendorlib}/SVN
%{perl_vendorlib}/SVN/Notify.pm
%dir %{perl_vendorlib}/SVN/Notify
%{perl_vendorlib}/SVN/Notify/Alternative.pm
%{perl_vendorlib}/SVN/Notify/Filter.pm
%dir %{perl_vendorlib}/SVN/Notify/Filter
%dir %{perl_vendorlib}/SVN/Notify/Filter/Trac.pm
%{perl_vendorlib}/SVN/Notify/HTML.pm
%dir %{perl_vendorlib}/SVN/Notify/HTML
%{perl_vendorlib}/SVN/Notify/HTML/ColorDiff.pm
%if 0%{?suse_version} > 910
%dir %{perl_vendorarch}/auto/SVN
%{perl_vendorarch}/auto/SVN/Notify
%endif
%doc %{_mandir}/man1/svnnotify.1*
%doc %{_mandir}/man3/SVN::Notify*.%{perl_man3ext}*

%changelog
* Tue May 12 2009 Pascal Bleser <pascal.bleser@opensuse.org> 2.79
- update to 2.79
- use ./Build.PL and ./Build
- clean up spec file
- fix build on >= openSUSE 11.1

* Sat May 26 2007 Richard Bos <richard@radoeka.nl> - 2.65
- Added destdir={buildroot} to the __perl Makefile.PL to make it build
  for older versions
- Added if 0{?suse_version} > 910 check to make it build for SLES 9
* Fri May 25 2007 Richard Bos <richard@radoeka.nl> - 2.65
- initial build


